<bugID>586234<Summary>When middle clicking links in popups, open the new tab in a full browser window</Summary><Description>Created attachment 464766
testcase

User-Agent:       Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b4pre) Gecko/20100810 Minefield/4.0b4pre ID:20100810040309
Build Identifier: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b4pre) Gecko/20100810 Minefield/4.0b4pre ID:20100810040309

In Popup window,
The behavior of the tabstrip is different from Firefox 3.6.x.

When I open in new tab(middle-click and/or Ctrl+click link nor Alt+Enter in LocationBar) on popup window, tab strip does not appears.

I think the tabstrip should be appears and switching of tab must be possible.

Reproducible: Always

Steps to Reproduce:
1. Start Minefield with NEW Profile
2. Open testcase
3. Click link
4. Middle-click and/or Ctrl+click link nor Alt+Enter in LocationBar

Actual Results:
 Tabstrip does not appears though the new tab is opened.

Expected Results:
 Tabstrip ahould be appear as same as Firefox3.6.x.


Steps to Reproduce in real world:
1. Start Minefield with NEW Profile +  Flash Player
2. Open URL ( http://www.einslive.de/ )
3. Click "WEBRADIO" at the top o page to open popup
4. Middle-click a link(HTML-Version, etc.) at bottom of popup window
   OR KeyPress Alt+Enter in the LocationBar

Actual Results:
 Tabstrip does not appears though the new tab is opened.
 You can confirm when click X button of window control.

Regression window:
Works:
http://hg.mozilla.org/mozilla-central/rev/528a9b4f475d
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.3a4pre) Gecko/20100317 Minefield/3.7a4pre ID:20100317002903
Fails:
http://hg.mozilla.org/mozilla-central/rev/11798edae90d
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.3a4pre) Gecko/20100317 Minefield/3.7a4pre ID:20100317003949
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=528a9b4f475d&amp;tochange=11798edae90d
Candidate Bug:
Bug 347930 - Tab strip should be a toolbar instead</Description></bugID>